function init_setupmisc()
{
	$('#setupmisc-save').off('click');
	$('#setupmisc-save').click(function(event){
		event.preventDefault();
		setupmisc_save();
	});
	
	get_setupmisc();
}

/////////////////////////////////////////////////////////////////////////////////////////

function get_setupmisc()
{
	var datastr = get_ajax_datastr("admin", "options", "get");
	datastr += "&all";
	ajax_call(datastr, ajax_setupmisc_get, null);
}

/////////////////////////////////////////////////////////////////////////////////////////

function setupmisc_save()
{
	$('#setupmisc-error').html('');
	var emdata = $('#setupmisc-form').serialize();
	var datastr = get_ajax_datastr("admin", "options", "set");
	datastr += "&" + emdata;
	ajax_call(datastr, ajax_setupmisc_save, null);
}

/////////////////////////////////////////////////////////////////////////////////////////

function ajax_setupmisc_get(x, jqXHR, textStatus, params)
{
	if(x != null) {
		$('#setupmisc-error').html('');
		if(x.status == 'ok') {
			var setupmisc = x.data;
			for (var key in setupmisc) {
				 if(setupmisc.hasOwnProperty(key)) {
					if (typeof setupmisc[key] === "boolean"){
						if(setupmisc[key] === false)
							setupmisc[key] = 0;
						else
							setupmisc[key] = 1;
					}
					$('#'+key).val(setupmisc[key]);
				 }
			}
		}
	}
}

/////////////////////////////////////////////////////////////////////////////////////////

function ajax_setupmisc_save(x, jqXHR, textStatus, params)
{
	if(x != null) {
		if(x.status == 'ok') {
			$('#setupmisc-error').html('ok');
		}
	}
}